Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface LargeReportManager

Deprecated. As of v8, replaced by `OndemandReportManager`

    public interface LargeReportManager

Interface `LargeReportManager` manages large report records.

Method Summary
`java.lang.String` | `getErrorMessage(java.lang.String resultName)` Deprecated. Returns Error Message if the large Report failed to run.
`LargeReportRecord` | `getLargeReportRecord(java.lang.String tempResultName)` Deprecated. Gets the large report record of the temporary result.
`java.util.Vector` | `getLargeReports(java.lang.String userID)` Deprecated. Gets large report records registered by the user.
`LargeReportRecord` | `notifyCompleted(java.lang.String tempResultName)` Deprecated. Notifies the large report runs over.
`void` | `removeLargeReport(java.lang.String tempResultName, boolean isStop)` Deprecated. Removes the large report record of the temporary result.

Method Detail

### getLargeReports

    java.util.Vector getLargeReports(java.lang.String userID)

  Deprecated.
  Gets large report records registered by the user.

  Parameters:
    `userID` - the userID.
  Returns:
    the vector containing LargeReportRecord objects.

### getLargeReportRecord

    LargeReportRecord getLargeReportRecord(java.lang.String tempResultName)

  Deprecated.
  Gets the large report record of the temporary result.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the large report record of the temporary result.

### notifyCompleted

    LargeReportRecord notifyCompleted(java.lang.String tempResultName)

  Deprecated.
  Notifies the large report runs over.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the large report record of the temporary result, return null if the temporary result is not registered.

### removeLargeReport

    void removeLargeReport(java.lang.String tempResultName,
                           boolean isStop)

  Deprecated.
  Removes the large report record of the temporary result.

  Parameters:
    `tempResultName` - the temporary result name.
    `isStop` - if to stop the running of the large report.

### getErrorMessage

    java.lang.String getErrorMessage(java.lang.String resultName)

  Deprecated.
  Returns Error Message if the large Report failed to run.

  Parameters:
    `resultName` - the large Report's result name.
  Returns:
    Error Message if the large Report failed to run.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD